# module Builder

BlankSlate has been promoted to a top level name and is now available as a standalone gem. We make the name available in the Builder namespace for compatibility.

### Constants

BlankSlate

  BlankSlate provides an abstract base class with no predefined methods (except for `_\send_` and `_\id_`). BlankSlate is useful as a base class when writing classes that depend upon `method_missing` (e.g. dynamic proxies).

VERSION
VERSION_NUMBERS

### Public Class Methods

check_for_name_collision(klass, method_name, defined_constant=nil) click to toggle source

    # File lib/builder/xchar.rb, line 12
    def self.check_for_name_collision(klass, method_name, defined_constant=nil)
      if klass.method_defined?(method_name.to_s)
        fail RuntimeError,
          "Name Collision: Method '#{method_name}' is already defined in #{klass}"
      end
    end